<?xml version="1.0" encoding="utf-8"?>
<config-project id="namespace1" version="1.0" showDisabledItems="false">
    <config-page id="page1" folder="false">
        <config-set id="groupbox_basic_config" level="0" dynamic="0" folder="false">
            <config id="base_product" type="enum" default="iMaster NCE-CampusInsight" required="true" editable="false" visible="false">
                <validation range="iMaster NCE-CampusInsight"/>
            </config>
            <!--此id用于集群阔节点回滚替换hdfs&kafkafka脚本路径使用-->
            <config id="product_name_alias" type="string" default="CampusInsight" visible="false"/>
            <!--新增隐藏组件-->
            <config id = "client_login_eth" type="enum" default="eth3" required="true" editable="false" visible="false">
                <validation range = "eth3"/>
            </config>
            <!--扩容和安装不加此字段就会出现环境步骤失败不能及时退出-->
            <config id="check_custom_online_fail_interrupt" type="enum" default="true" required="true" editable="false"  visible="false">
                <validation range="true,false"/>
            </config>
            <config id="base_version" type="enum" default="V100R022C00SPC1b0" required="true" editable="false" visible="false">
                <validation range="V100R022C00SPC1b0"/>
            </config>
            <config id="base_arch_type" type="enum" default="x86" required="true" editable="true" visible="true">
                <validation range="x86,arm"/>
            </config>

            <config id="base_os_type_1" type="enum" default="EulerOS" required="true" editable="true"
                    dependsID="base_arch_type" dependsAction="show"
                    dependsValue="arm" dependsOp="eq" copyTo="base_os_type">
                <validation range="EulerOS"/>
            </config>

            <config id="base_os_type_2" type="enum" default="EulerOS" required="true" editable="true"
                    dependsID="base_arch_type" dependsAction="show"
                    dependsValue="x86" dependsOp="eq" copyTo="base_os_type">
                <validation range="EulerOS,SLES"/>
            </config>

            <config id="base_os_type" type="string" default="EulerOS" required="false" editable="false" visible="false"/>

            <config id="base_scene_choices" type="string" default="scale" required="true" editable="true" visible="false">
            </config>
            <config id="north_type" type="enum" default="IPv4" editable="true" required="true"
                    dependsID="base_scene_choices" dependsOp="ne" dependsValue="public" dependsAction="show" copyTo="use_ipv6">
				<validation range="IPv4,IPv6"/>
			</config>
            <config id="south_type_1" type="enum" default="IPv4" editable="true" required="true"
                    dependsID="north_type" dependsOp="eq" dependsValue="IPv4" dependsAction="show" copyTo="south_type">
				<validation range="IPv4,both"/>
			</config>

            <config id="south_type_2" type="enum" default="IPv6" editable="true" required="true"
                    dependsID="north_type" dependsOp="eq" dependsValue="IPv6" dependsAction="show" copyTo="south_type">
				<validation range="IPv6"/>
			</config>
            <config id="south_type" type="string" default="IPv4" required="false" editable="false" visible="false" />
            <config default="IPv4" editable="true" id="use_ipv6" required="true" type="string" visible="false"/>
            <config id="campus_cluster_components_pro_no_application" type="checkbox_group" default="" required="false"
                    visible="true" copyTo="components">
                <validation range="wlan_location,application_analyzer,ifit"/>
            </config>
            <config id="components" type="string" visible="false">
            </config>
            <config id="server_type" type="enum" default="E9000" required="true" editable="false" visible="false">
                <validation range="E9000"/>
            </config>
            <config id="scene" type="string" default="id_scene_private_cloud" required="true" editable="false"
                    visible="false">
            </config>
            <config id="step_plan" type="string" default="id_product_install" required="true" editable="false"
                    visible="false">
            </config>
            <config id="region_alias" type="string" required="true" editable="true" visible="false">
            </config>
            <config id="base_task_home_dir" type="string" required="true" default="/root/EasySuite/" visible="false"/>
        </config-set>
    </config-page>
</config-project>